%global pypi_name requests-unixsocket

Name:           python-requests-unixsocket
Version:        0.2.0
Release:        1
Summary:        Use requests to talk HTTP via a UNIX domain socket
License:        ASL 2.0
URL:            https://github.com/msabramo/requests-unixsocket
Source0:        https://pypi.python.org/packages/source/r/requests-unixsocket/requests-unixsocket-%{version}.tar.gz
BuildArch:      noarch
 
%description
Use requests to talk HTTP via a UNIX domain socket

%package -n     python3-requests-unixsocket
Summary:        Use requests to talk HTTP via a UNIX domain socket
%{?python_provide:%python_provide python3-requests-unixsocket}

Requires:       python3dist(requests)
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pbr)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(urllib3)
BuildRequires:  python3dist(waitress)

%description -n python3-requests-unixsocket
Use requests to talk HTTP via a UNIX domain socket

%prep
%autosetup -n requests-unixsocket-%{version}
sed -i '1d' requests_unixsocket/tests/test_requests_unixsocket.py
sed -i '1d' setup.py
rm pytest.ini
sed -i '/pytest-pep8/d' test-requirements.txt
sed -i '/pytest-capturelog/d' test-requirements.txt

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m pytest -v

%files -n python3-requests-unixsocket 
%doc README.rst
%license LICENSE
%{python3_sitelib}/requests_unixsocket
%{python3_sitelib}/requests_unixsocket-%{version}-py%{python3_version}.egg-info

%changelog
* Tue May 09 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 0.2.0-1
- Package init
